## ros-kinetic-rtt-pcl 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtt_pcl)

## Find PCL
find_package(PCL REQUIRED)

## Find Orocos RTT
find_package(OROCOS-RTT REQUIRED)
include(${OROCOS-RTT_USE_FILE_PATH}/UseOROCOS-RTT.cmake)

## Set default build type to MinSizeRel
if(NOT CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "Release")
  set(CMAKE_BUILD_TYPE MinSizeRel)
endif()

###################################
## catkin specific configuration ##
###################################
if(catkin_FOUND)
  catkin_package(
    DEPENDS PCL
  )
endif()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include/orocos
  ${PCL_INCLUDE_DIRS}
)

## Orocos typekit plugin
orocos_typekit(rtt_pcl-typekit
  src/typekit.cpp
  src/point_xyz.cpp
  src/point_xyzrgb.cpp
  src/point_xyzrgbnormal.cpp
)
target_link_libraries(rtt_pcl-typekit ${PCL_LIBRARIES})

#############
## Install ##
#############

# Note: The typekit library is already installed by the orocos_typekit() macro.

## Install headers
orocos_install_headers(
  DIRECTORY include/orocos/${PROJECT_NAME}/
)

## Generate Orocos package
orocos_generate_package(
  DEPENDS pcl_common-${PCL_VERSION_MAJOR}.${PCL_VERSION_MINOR}
)

=== debian/changelog ===
ros-kinetic-rtt-pcl (0.1.0-2xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/orocos/rtt_pcl/issues/1> from achim-k/master
    Add support for point type XYZRGBNormal.
  * Add support for point type XYZRGBNormal.
  * Added package rtt_pcl
  * Initial commit
  * Contributors: Achim Krauch, Johannes Meyer

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Thu, 26 Sep 2019 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rtt-pcl
Section: misc
Priority: optional
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-kinetic-catkin, ros-kinetic-rtt
Homepage: http://ros.org/wiki/rtt_pcl
Standards-Version: 3.9.2

Package: ros-kinetic-rtt-pcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, libpcl1.7, ros-kinetic-rtt
Description: An Orocos RTT typekit plugin for PCL types

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rtt-pcl//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
